package com.sun.jimi.core.util;

/**
 * This class is a pure static data array class.
 * Holds packed byte[] arrays of different useful palettes.
 *
 * @author	Robin Luiten
 * @author	$Revision: 1.2 $
 **/
public class StaticPalettes
{
	/**
	 * Web Safe Pallette store in packed Red/Green/Blue byte format.
	 * To get number of entries in palette use "(webPalette.length/3)"
	 **/
	public static byte[] webPalette =
	{
		(byte)0xff, (byte)0xff, (byte)0xff, (byte)0xff, // 0
		(byte)0xff, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0xff, (byte)0x99, (byte)0xff,
		(byte)0xff, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0xff, (byte)0x33, (byte)0xff,
		(byte)0xff, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0xff, (byte)0xcc, (byte)0xff, (byte)0xff,
		(byte)0xff, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0xcc, (byte)0x99, (byte)0xff,
		(byte)0xff, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0xcc, (byte)0x33, (byte)0xff,	// 10
		(byte)0xff, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0xff, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0x99, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0x33, (byte)0xff,
		(byte)0xff, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0xff, (byte)0x66, (byte)0xff, (byte)0xff,
		(byte)0xff, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0x66, (byte)0x99, (byte)0xff, // 20
		(byte)0xff, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0x66, (byte)0x33, (byte)0xff,
		(byte)0xff, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0xff, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0x99, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0x33, (byte)0xff,
		(byte)0xff, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0xff, (byte)0x00, (byte)0xff, (byte)0xff, // 30
		(byte)0xff, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0xff, (byte)0x00, (byte)0x99, (byte)0xff,
		(byte)0xff, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0xff, (byte)0x00, (byte)0x33, (byte)0xff,
		(byte)0xff, (byte)0x00, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0xff, (byte)0xff, (byte)0xff,
		(byte)0xcc, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0xff, (byte)0x99, (byte)0xff,
		(byte)0xcc, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0xff, (byte)0x33, (byte)0xff, // 40
		(byte)0xcc, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0xff, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0x99, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0x33, (byte)0xff,
		(byte)0xcc, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0x99, (byte)0xff, (byte)0xff,
		(byte)0xcc, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0x99, (byte)0x99, (byte)0xff, // 50
		(byte)0xcc, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0x99, (byte)0x33, (byte)0xff,
		(byte)0xcc, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0xff, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0x99, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0x33, (byte)0xff,
		(byte)0xcc, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0x33, (byte)0xff, (byte)0xff, // 60
		(byte)0xcc, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0x33, (byte)0x99, (byte)0xff,
		(byte)0xcc, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0x33, (byte)0x33, (byte)0xff,
		(byte)0xcc, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0xcc, (byte)0x00, (byte)0xff, (byte)0xff,
		(byte)0xcc, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0xcc, (byte)0x00, (byte)0x99, (byte)0xff,
		(byte)0xcc, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0xcc, (byte)0x00, (byte)0x33, (byte)0xff, // 70
		(byte)0xcc, (byte)0x00, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0xff, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0x99, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0x33, (byte)0xff,
		(byte)0x99, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0xcc, (byte)0xff, (byte)0xff,
		(byte)0x99, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0xcc, (byte)0x99, (byte)0xff, // 80
		(byte)0x99, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0xcc, (byte)0x33, (byte)0xff,
		(byte)0x99, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0xff, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0x99, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0x33, (byte)0xff,
		(byte)0x99, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0x66, (byte)0xff, (byte)0xff, // 90
		(byte)0x99, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0x66, (byte)0x99, (byte)0xff,
		(byte)0x99, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0x66, (byte)0x33, (byte)0xff,
		(byte)0x99, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0x33, (byte)0xff, (byte)0xff,
		(byte)0x99, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0x33, (byte)0x99, (byte)0xff,
		(byte)0x99, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0x33, (byte)0x33, (byte)0xff, // 100
		(byte)0x99, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0xff, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0x99, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0x33, (byte)0xff,
		(byte)0x99, (byte)0x00, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0xff, (byte)0xff, (byte)0xff,
		(byte)0x66, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0xff, (byte)0x99, (byte)0xff, // 110
		(byte)0x66, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0xff, (byte)0x33, (byte)0xff,
		(byte)0x66, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0xff, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0x99, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0x33, (byte)0xff,
		(byte)0x66, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0x99, (byte)0xff, (byte)0xff, // 120
		(byte)0x66, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0x99, (byte)0x99, (byte)0xff,
		(byte)0x66, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0x99, (byte)0x33, (byte)0xff,
		(byte)0x66, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0x66, (byte)0xff, (byte)0xff,
		(byte)0x66, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0x66, (byte)0x99, (byte)0xff,
		(byte)0x66, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0x66, (byte)0x33, (byte)0xff, // 130
		(byte)0x66, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0xff, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0x99, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0x33, (byte)0xff,
		(byte)0x66, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0x66, (byte)0x00, (byte)0xff, (byte)0xff,
		(byte)0x66, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0x66, (byte)0x00, (byte)0x99, (byte)0xff, // 140
		(byte)0x66, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0x66, (byte)0x00, (byte)0x33, (byte)0xff,
		(byte)0x66, (byte)0x00, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0xff, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0x99, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0x33, (byte)0xff,
		(byte)0x33, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0xcc, (byte)0xff, (byte)0xff, // 150
		(byte)0x33, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0xcc, (byte)0x99, (byte)0xff,
		(byte)0x33, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0xcc, (byte)0x33, (byte)0xff,
		(byte)0x33, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0x99, (byte)0xff, (byte)0xff,
		(byte)0x33, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0x99, (byte)0x99, (byte)0xff,
		(byte)0x33, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0x99, (byte)0x33, (byte)0xff, // 160
		(byte)0x33, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0xff, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0x99, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0x33, (byte)0xff,
		(byte)0x33, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0x33, (byte)0xff, (byte)0xff,
		(byte)0x33, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0x33, (byte)0x99, (byte)0xff, // 170
		(byte)0x33, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0x33, (byte)0x33, (byte)0xff,
		(byte)0x33, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0xff, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0x99, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0x33, (byte)0xff,
		(byte)0x33, (byte)0x00, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0xff, (byte)0xff, (byte)0xff, // 180
		(byte)0x00, (byte)0xff, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0xff, (byte)0x99, (byte)0xff,
		(byte)0x00, (byte)0xff, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0xff, (byte)0x33, (byte)0xff,
		(byte)0x00, (byte)0xff, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0xcc, (byte)0xff, (byte)0xff,
		(byte)0x00, (byte)0xcc, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0xcc, (byte)0x99, (byte)0xff,
		(byte)0x00, (byte)0xcc, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0xcc, (byte)0x33, (byte)0xff, // 190
		(byte)0x00, (byte)0xcc, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0xff, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0x99, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0x33, (byte)0xff,
		(byte)0x00, (byte)0x99, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0x66, (byte)0xff, (byte)0xff,
		(byte)0x00, (byte)0x66, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0x66, (byte)0x99, (byte)0xff, // 200
		(byte)0x00, (byte)0x66, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0x66, (byte)0x33, (byte)0xff,
		(byte)0x00, (byte)0x66, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0xff, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0x99, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0x33, (byte)0xff,
		(byte)0x00, (byte)0x33, (byte)0x00, (byte)0xff,
		(byte)0x00, (byte)0x00, (byte)0xff, (byte)0xff, // 210
		(byte)0x00, (byte)0x00, (byte)0xcc, (byte)0xff,
		(byte)0x00, (byte)0x00, (byte)0x99, (byte)0xff,
		(byte)0x00, (byte)0x00, (byte)0x66, (byte)0xff,
		(byte)0x00, (byte)0x00, (byte)0x33, (byte)0xff,
		(byte)0x00, (byte)0x00, (byte)0x00, (byte)0xff // 215
 	};
}
